@echo off
REM ---------------------------------------------------------------------------
REM File Name : StarGssTopicDashboardClient.cmd
REM ---------------------------------------------------------------------------
REM Copyright (c) 2012,2013 Grail Software Solutions
REM All rights reserved.
REM
REM THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
REM AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
REM IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
REM ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
REM LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
REM CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
REM SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
REM INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
REM CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
REM ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
REM POSSIBILITY OF SUCH DAMAGE.
REM ---------------------------------------------------------------------------
REM File Description :
REM
REM This sample script can be used to launch the GSS Topic Dashboard Client
REM application, assuming
REM
REM 1. the GSS Topic Dashboard Client feature has been installed in your eclipse
REM 2. the ECLIPSE_HOME variable has been set correctly
REM ---------------------------------------------------------------------------

REM
REM Change the following variable to match the location of your installed eclipse
REM
set ECLIPSE_HOME=C:\eclipse3.6.2\eclipse

REM
REM This variable does not need changing
REM
set DATA=%APPDATA%\GSS\workspace_gss_topic_dashboard_client

REM
REM Start eclipse for the GSS Topic Dashboard Client
REM
REM Note -clearPersistedState option is only needed for Eclipse 4 and will be
REM ignored in earlier versions.
REM
start "" "%ECLIPSE_HOME%"\eclipse -clearPersistedState -product com.gss.dashboard.topic.client.product -application com.gss.dashboard.topic.client.application -data "%DATA%" -showsplash "%ECLIPSE_HOME%"\\features\\com.gss.dashboard.topic.client.feature_1.0.1\\splash.bmp